local Mod = ...

local COMP_FORAGING_TREE = {
	TypeName = "COMP_FORAGING_TREE",
	ParentType = "COMPONENT",
	Properties = {
		{ Name = "isFirstUpdate", Type = "boolean", Default = true, Flags = { "SAVE_GAME" }}
	}
}

function COMP_FORAGING_TREE:init()
	if (self.isFirstUpdate == true) then
		self.isFirstUpdate = false
		self:getLevel():getComponentManager("COMP_FORAGING_MANAGER"):getAllComponent():forEach(function(comp)
			comp:TreeUpdate(self,true)
		end)
	end
end

function COMP_FORAGING_TREE:onFinalize(clear)
	if (clear == false) then
		self:getLevel():getComponentManager("COMP_FORAGING_MANAGER"):getAllComponent():forEach(function(comp)
			comp:TreeUpdate(self,false)
		end)
	end
end

Mod:registerClass(COMP_FORAGING_TREE)