local Mod = ...

T={
	{"FORAGING_TREE_OAK","PREFAB_TREE_OAK"},
	{"FORAGING_TREE_PINE","PREFAB_TREE_PINE"},
	{"FORAGING_TREE_POPLAR","PREFAB_TREE_POPLAR"},
	{"FORAGING_TREE_SYCAMORE","PREFAB_TREE_SYCAMORE"}
}

for _,v in ipairs(T) do
	Mod:registerPrefabComponent(
	v[2], 
	{ 
		DataType = "COMP_PLANTABLE", 
		MinSpaceBetweenPlant = 1 
	})
	
	Mod:register({
		DataType = "PLANTABLE",
		Id = v[1],
		Name = v[1].."_NAME",
		PlantPrefab = v[2],
		Icon = "ICON_RESOURCE_WOOD",
		MinimumScale = 1,
		MaximumScale = 1.5
	})
	

end

Mod:override({
	Id = "DEFAULT_BALANCING",
	PlantableList = {
		"FORAGING_TREE_OAK",
		"FORAGING_TREE_PINE",
		"FORAGING_TREE_POPLAR",
		"FORAGING_TREE_SYCAMORE"
	}
})