local Mod = ...

settings={
	MinimumDensity = 35,  	--46 ABSOLUTE max for fluvial island start spawn, 35 looks best
	CellSizeX = 32,
	CellSizeY = 32,
	OffsetX = function() return 12+(math.random()*8) end,
	OffsetY = function() return 12+(math.random()*8) end,
	Prefab = "PREFAB_BERRYBUSH02",
	PrefabScale = 1,
	RespawnTimerTicks = 1000, -- 15 ticks per second on x1, 45 ticks per second on x3???
	Destroy = {
		"RedBerries", 	--berry bush
--		"RootNode",		--Stone
--		"FishArea",		--Fish
	}
}
---------------------------------------------------------------------
Mod:dofile("foraging/PLANTABLE.lua")
Mod:dofile("foraging/COMP_FORAGING_MANAGER.lua")
Mod:dofile("foraging/COMP_FORAGING_RESOURCE.lua")
Mod:dofile("foraging/COMP_FORAGING_TREE.lua")
---------------------------------------------------------------------
Mod:registerPrefabComponent("PREFAB_MANAGER", {
	DataType = "COMP_FORAGING_MANAGER"
})
Mod:registerPrefabComponent(settings["Prefab"], {
	DataType = "COMP_FORAGING_RESOURCE"
})
---------------------------------------------------------------------
Mod:registerPrefabComponent("PREFAB_TREE_OAK", {
	DataType = "COMP_FORAGING_TREE"
})
Mod:registerPrefabComponent("PREFAB_TREE_PINE", {
	DataType = "COMP_FORAGING_TREE"
})
Mod:registerPrefabComponent("PREFAB_TREE_POPLAR", {
	DataType = "COMP_FORAGING_TREE"
})
Mod:registerPrefabComponent("PREFAB_TREE_SYCAMORE", {
	DataType = "COMP_FORAGING_TREE"
})